#ifndef _TaskDialog_h_
#define _TaskDialog_h_

// $Id: TaskDialog.h,v 1.10 2010/07/16 19:25:34 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file TaskDialog.h
\brief edit task informations
\author Hugo Pereira
\version $Revision: 1.10 $
\date $Date: 2010/07/16 19:25:34 $
*/

#include <QCheckBox>
#include <QLayout>

#include "CustomDialog.h"
#include "TimeStamp.h"
#include "TaskAttributes.h"

class AnimatedLineEditor;
class TextEditor;
class BrowsedLineEditor;
class IconBrowsedButton;

//! task information editor dialog
class TaskDialog: public CustomDialog
{

    public:

    //! constructor
    TaskDialog( QWidget* parent );

    //! set attributes
    TaskDialog& setAttributes( const TaskAttributes& );

    //! retrieve attributes
    const TaskAttributes& attributes( void );

    private:

    //! layout
    QVBoxLayout* informationLayout_;

    //! associated TaskAttributes
    TaskAttributes attributes_;

    //! name editor
    AnimatedLineEditor* nameEditor_;

    //! comments editor
    TextEditor* comments_editor_;

    //! command editor
    BrowsedLineEditor* commandEditor_;

    //! icon editor
    IconBrowsedButton* iconEdit_;

    //! show name checkbox
    QCheckBox* showNameCheckbox_;

};

#endif
