TEMPLATE = app
TARGET = taskbar

CONFIG += qt release
QT += xml network svg

VERSION = 2.4.3
DEFINES += VERSION=\\\"$$VERSION\\\"

win32 {

  DEFINES += QT_STATIC
  DESTDIR = "C:\Program Files"

  # this is needed to copy target into relevant versioned name
  exists( \"$$DESTDIR\\upx.exe\" ) {

     # if available, use upx to compress the file
     version.commands = "\"$$DESTDIR\\upx.exe\" -9 -f -o \"$$DESTDIR\\$$TARGET-qt4_"$$VERSION".exe\""  "\"$$DESTDIR\\"$$TARGET".exe\"

  } else {

     # simple copy
     version.commands = @copy "\"$$DESTDIR\\"$$TARGET".exe\" \"$$DESTDIR\\$$TARGET-qt4_"$$VERSION".exe\""

  }

  # add to Post targets
  QMAKE_EXTRA_TARGETS += version
  QMAKE_POST_LINK += $$version.commands

}

INCLUDEPATH = . ../base ../base-qt ../base-help ../base-server ../base-svg ../base-transparency ../extra-includes
DEPENDPATH += . ../base ../base-qt ../base-help ../base-server ../base-svg ../base-transparency ../extra-includes

LIBS += \
  ../base-transparency/libbase-transparency.a \
  ../base-svg/libbase-svg.a \
  ../base-server/libbase-server.a \
  ../base-help/libbase-help.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a

POST_TARGETDEPS = \
  ../base-transparency/libbase-transparency.a \
  ../base-svg/libbase-svg.a \
  ../base-server/libbase-server.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a

RESOURCES = pixmaps.qrc ../base-svg/baseSvg.qrc ../base-qt/basePixmaps.qrc
RC_FILE = taskbar.rc

HEADERS = \
	ConfigurationDialog.h \
	DefaultOptions.h \
	Icons.h \
	Application.h \
	Menu.h \
	PixmapList.h \
	SeparatorPixmap.h \
	TaskAttributes.h \
	TaskAttributesModel.h \
	TaskBarAttributes.h \
	TaskBarBase.h \
	TaskBarConfiguration.h \
	TaskBarDialog.h \
	TaskBarFixed.h \
	TaskBarMinimum.h \
	TaskBarParabolic.h \
	TaskButton.h \
	TaskDialog.h \
	TaskListConfiguration.h \
	TaskListDialog.h \
	TaskParser.h \
	TaskToolTip.h \
	XmlDef.h

SOURCES = \
	ConfigurationDialog.cpp \
	Application.cpp \
	Menu.cpp \
	PixmapList.cpp \
	SeparatorPixmap.cpp \
	TaskAttributes.cpp \
	TaskAttributesModel.cpp \
	TaskBarAttributes.cpp \
	TaskBarBase.cpp \
	TaskBarConfiguration.cpp \
	TaskBarMinimum.cpp \
	TaskBarParabolic.cpp \
	TaskBarDialog.cpp \
	TaskBarFixed.cpp \
	TaskButton.cpp \
	TaskDialog.cpp \
	TaskListConfiguration.cpp \
	TaskListDialog.cpp \
	TaskParser.cpp \
	TaskToolTip.cpp \
	taskbar.cpp
